6.0.0-git
2019-03-18

[#13886] old task completion status needs migration, new entries miss data
Summary old task completion status needs migration, new entries miss data
Queue Nag
Queue Version 4.2.4
Type Bug
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester jmozdzen (at) nde (dot) ag
Created 2015-02-27 (1480 days ago)
Due
Updated 2016-02-16 (1126 days ago)
Assigned 2016-02-09 (1133 days ago)
Resolved 2016-02-16 (1126 days ago)
Milestone
Patch No

History
2016-02-16 15:40:11 Michael Rubinsky Taken from Horde DevelopersHorde Developers
State ⇒ Resolved
 
2016-02-16 12:00:32 jmozdzen (at) nde (dot) ag Comment #10 Reply to this comment
Cannot reproduce.
I can confirm that after upgrading to the latest code via PEAR, the 
problem no longer is reproducible.

Thank you for solving the issue!

Best regards & "case closed"
Jens
2016-02-09 10:31:55 jmozdzen (at) nde (dot) ag Comment #9 Reply to this comment
[...]
It should be noted that your nag version is quite a number of bug 
fixes behind current stable code, including a number of Kolab 
related fixes. Please upgrade to the latest stable and retest.
I'm on a business trip ATM - the upgrade will probably take place next 
week and I'll provide feedback right after.

2016-02-09 05:09:28 Michael Rubinsky Comment #8
Assigned to Michael Rubinsky
State ⇒ Feedback
Priority ⇒ 1. Low
Reply to this comment

[Show Quoted Text - 14 lines]
Cannot reproduce.


2016-02-09 05:08:55 Michael Rubinsky Comment #7 Reply to this comment

[Show Quoted Text - 9 lines]
Cannot reproduce this with current stable code.
- clicking on the task to display the details, the "completed" 
check-box is checked.
2016-02-09 05:07:58 Michael Rubinsky Comment #6 Reply to this comment
The new entry has no "completed_date" (which sounds like an error to 
me - missing information!), but a status of "completed".
The "completed_date" field was removed in 2011 because it is not part 
of the Kolab 2.0 format. See: 
https://github.com/horde/horde/commit/109a2bd69de0f88d9008ccc3ed4d8a092cb4095f#diff-0ef97c65debfe55ccb3b62b3056c3712
From the user interface, both events look alike, but filtering the 
view seems to have changed to work on "status" now (which seems like 
a proper decision, of course).
It doesn't look like we don't consider the "status" field at all in 
code, but rather look at if the Kolab "completed" field is empty 
(not-completed) or non-empty (completed). This is not correct though 
because this field should be a percentage of completion so technically 
a non-empty field could still be considered "not-complete".

So, I'm not sure why those tasks are still showing as non-completed, 
since we are only looking at the "completed" field when considering 
this and according to your data, that part at least looks correct.

It should be noted that your nag version is quite a number of bug 
fixes behind current stable code, including a number of Kolab related 
fixes. Please upgrade to the latest stable and retest.

2016-02-02 10:06:10 Jan Schneider Assigned to Horde DevelopersHorde Developers
State ⇒ Assigned
 
2016-01-22 12:14:02 jmozdzen (at) nde (dot) ag Comment #5 Reply to this comment
Are both tasks created/completed by Horde?
yes, I just reproduced by [...]
sorry, seems I need more coffee:

The tasks that are still listed in the portal widget were mostly 
created using earlier versions of Horde, i.e. July 2013 and marked 
completed in Nov 2013, with then current Horde versions.

New entries, like the one I just mentioned, now *also* do not 
disappear from the list, especially not from the portal widget. The 
widget configuration *does not* have "always show completed and future 
tasks" checked.

Regards,
Jens
2016-01-22 12:06:55 jmozdzen (at) nde (dot) ag Comment #4 Reply to this comment

[Show Quoted Text - 12 lines]
sorry, sent my reply too early...

Horde_Kolab_Format           2.0.7   stable
Horde_Kolab_Server           2.0.4   stable
Horde_Kolab_Session          2.0.2   stable
Horde_Kolab_Storage          2.1.4   stable
nag                          4.2.4   stable

Regards,
Jens
2016-01-22 12:04:45 jmozdzen (at) nde (dot) ag Comment #3 Reply to this comment
Are both tasks created/completed by Horde?
yes, I just reproduced by

- creating a new task via Horde web ui
- look at NAGs "unfinished tasks" list and see the new entry
- click the "finished" check mark

- The task then is still listed, but in strike-out

- clicking on the task to display the details, the "completed" 
check-box is checked.
2016-01-22 11:49:35 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
Are both tasks created/completed by Horde?
2015-02-27 11:54:44 jmozdzen (at) nde (dot) ag Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ old task completion status needs migration, new entries miss data
Queue ⇒ Nag
Milestone ⇒
Patch ⇒ No
Reply to this comment
For some releases now (cannot tell since when - about 2 months, I 
guess), my existing tasks are not recognized as "completed", and thus 
are displayed even when selecting to display only pending tasks.

All those tasks do show the "completed" checkmark as "checked".

We're using the Kolab backend to store the task data.

When completing new events, this feature works.

Comparing an old and a new completed task in the IMAP store, I see the 
following difference:

--- cut here: old entry ---
   <completed>100</completed>
   <status>not-started</status>
   <due-date>2010-01-15T10:00:00Z</due-date>
   <completed_date>2010-01-19T16:07:48Z</completed_date>
--- cut here ---

--- cut here: new entry ---
=20=20<priority>3</priority>
=20=20<completed>100</completed>
=20=20<status>completed</status>
=20=20<due-date>2015-02-27T01:00:00Z</due-date>
--- cut here ---

So the old entry has, for whatever reason, a status of "not started", 
but does have a "completed_date". Sounds weird, but worked with older 
version of Horde.

The new entry has no "completed_date" (which sounds like an error to 
me - missing information!), but a status of "completed".

From the user interface, both events look alike, but filtering the 
view seems to have changed to work on "status" now (which seems like a 
proper decision, of course).

I see the following two problems:

1. How can we mass-migrated the status of old tasks to "completed" for 
all those entries that have a "completed_date" set?

2. No longer having the "completed_date" in new entries seems like a 
bug to me.

Saved Queries